%define rname neon

%define	major 0.27
%define libname %mklibname %{rname} %{major}

Summary: 	An HTTP and WebDAV client library, with a C interface
Name: 		libneon0.27
Version: 	0.27.0
Release: 	%mkrel 2
Group: 		Development/Other
License: 	GPL
URL: 		http://www.webdav.org/neon/
Source0: 	http://www.webdav.org/neon/%{rname}-%{version}.tar.gz
Source1: 	http://www.webdav.org/neon/%{rname}-%{version}.tar.gz.asc
Patch0:		neon-locales.diff
Patch1:		neon-fail_parse.diff
Provides:	libneon
Provides:	neon
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	libxml2-devel
BuildRequires:	libxmlrpc-devel
BuildRequires:	pkgconfig
BuildRequires:	krb5-devel
BuildRequires:	rootcerts
BuildRequires:	zlib-devel
BuildRequires:	libtool
BuildRequires:	autoconf2.5
Requires:	rootcerts
Requires:	openssl >= 0.9.7
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
neon is an HTTP and WebDAV client library for Unix systems, 
with a C language API. It provides high-level interfaces to 
HTTP/1.1 and WebDAV  methods, and a low-level interface to 
HTTP request/response handling, allowing new methods to be 
easily implemented.

%if "%{_lib}" != "lib"
%package -n	%{libname}
Summary:	Header files and develpment documentation for libnet
Group:		System/Libraries
Requires:	%{libname} = %{version}
Requires:	rootcerts
Requires:	openssl >= 0.9.7
Provides:	libneon
Provides:	neon

%description -n %{libname}
neon is an HTTP and WebDAV client library for Unix systems, 
with a C language API. It provides high-level interfaces to 
HTTP/1.1 and WebDAV  methods, and a low-level interface to 
HTTP request/response handling, allowing new methods to be 
easily implemented.
%endif

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libneon-devel = %{version}
Provides:	neon-devel = %{version}
Provides:	neon0.27-devel = %{version}
Provides:	libneon0.27-devel = %{version}
Conflicts:	%{mklibname neon 0.24}-devel
Conflicts:	%{mklibname neon 0.26}-devel

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{libname}-static-devel
Summary:	Static %{libname} library
Group:		Development/C++
Requires:	%{libname}-devel = %{version}
Provides:	libneon-static-devel = %{version}
Provides:	neon-static-devel = %{version}
Provides:	neon0.27-static-devel = %{version}
Provides:	libneon0.27-static-devel = %{version}
Conflicts:	%{mklibname neon 0.24}-static-devel
Conflicts:	%{mklibname neon 0.26}-static-devel

%description -n	%{libname}-static-devel
Static %{libname} library.

%prep

%setup -q -n %{rname}-%{version}
%patch0 -p1
%patch1 -p0

# fix mo clash (#28428)
perl -pi -e "s|_LIBNAME_|%{libname}|g" Makefile.in src/ne_internal.h

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# this value has to be raised on x86_64
perl -pi -e "s|^ulimit \-v .*|ulimit \-v 40960|g" test/run.sh

%build

# wierd stuff...
%define __libtoolize /bin/true

%serverbuild

%configure2_5x \
    --enable-shared \
    --enable-static \
    --with-ssl=openssl \
    --enable-threadsafe-ssl=posix \
    --with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
    --with-libxml2

%make

make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

cp src/README README.neon

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/neon-config
%endif

%find_lang %{libname} --all-name

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname} -f %{libname}.lang
%defattr(-,root,root,755)
%doc doc/*.txt doc/html README.neon
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/neon-config
%endif
%{_bindir}/neon-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/neon.pc
%dir %{_includedir}/neon
%{_includedir}/neon/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a


%changelog
* Thu Aug 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.27.0-2mdv2008.0
+ Revision: 69927
- fix deps (whoa!)

* Thu Aug 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.27.0-1mdv2008.0
+ Revision: 69335
- 0.27.0
- prepare for 0.27

* Tue Jul 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.26.4-1mdv2008.0
+ Revision: 52857
- revert some code to make the tests pass
- 0.26.4
- rediffed P0
- drop upstream implemented P1


* Tue Mar 13 2007 Oden Eriksson <oeriksson@mandriva.com> 0.26.3-3mdv2007.1
+ Revision: 142332
- added P1 to fix and gssapi authentication (thanks blindaue)

* Sat Jan 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.26.3-2mdv2007.1
+ Revision: 114380
- fix #28428

* Tue Jan 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.26.3-1mdv2007.1
+ Revision: 112628
- 0.26.3
- drop the CVE-2007-0157 patch, implemented upstream

* Fri Jan 12 2007 Oden Eriksson <oeriksson@mandriva.com> 0.26.2-2mdv2007.1
+ Revision: 108110
- fix #28117 (CVE-2007-0157)
- fix #28117 (CVE-2007-0157)

* Wed Nov 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.26.2-1mdv2007.1
+ Revision: 74829
- 0.26.2
- fix deps
- Import libneon0.26

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 0.26.1-2mdv2007.0
- drop 0.25 provides

* Thu May 25 2006 Oden Eriksson <oeriksson@mandriva.com> 0.26.1-1mdk
- 0.26.1 (Minor bugfixes)

* Fri Apr 21 2006 Oden Eriksson <oeriksson@mandriva.com> 0.26.0-4mdk
- fix deps

* Thu Apr 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.26.0-3mdk
- fix deps

* Sat Apr 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.26.0-2mdk
- fix update when there're still packages using the old version
  (what's more the logic is dunfect here (eg 0.24 -> 0.25 isn't handled)
  (last but not least, obsoletes are not there to remove old libraries)

* Mon Mar 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.26.0-1mdk
- 0.26.0
- fix deps
- added P0 to prevent future file clashes with the locale files

* Sat Feb 11 2006 Olivier Blin <oblin@mandriva.com> 0.25.5-2mdk
- add some neon0.25 provides in devel packages

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 0.25.5-1mdk
- 0.25.5

* Thu Nov 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.4-2mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 25 2005 Lenny Cartier <lenny@mandriva.com> 0.25.4-1mdk
- 0.25.4

* Sun Aug 28 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.1-3mdk
- don't provide devel deps

* Fri Jul 08 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.1-2mdk
- fix deps

* Wed Jun 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.1-1mdk
- 0.25.1 (Minor bugfixes)

* Sat Jun 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.25.0-6mdk
- Rebuild for libkrb53-devel 1.4.1

* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-5mdk
- renamed to libneon0.25
- fix deps

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-4mdk
- rebuild

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-3mdk
- don't provide neon-devel. this package will be renamed and
  moved to contribs soon.

* Mon May 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-2mdk
- don't obsolete 0.24 just yet...

* Tue Apr 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-1mdk
- 0.25.0

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.24.7.2mdk
- fix deps and conditional %%multiarch
- really run the test suite

* Tue Jul 13 2004 Ben Reser <ben@reser.org> 0.24.7.1mdk
-  0.24.7
- Drop patch for CAN-2004-0398 (patch0), included upstream

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.24.5-2mdk
- security update for CAN-2004-0398 (patch0) (Stew Benedict)
- fix deps
- misc spec file fixes

* Sat Apr 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.24.5-1mdk
- 0.24.5

